Package ru.bitel.bgbilling.modules.inet.server.task

# Class InetRecalculator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.modules.inet.server.task.InetRecalculator

All Implemented Interfaces:
  `Serializable`, `Runnable`

public class InetRecalculator extends RunTask

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `email`
  `protected int`
  `moduleId`
  `protected Date`
  `month`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetRecalculator(Date month, Integer day, int moduleId, String email, Set<Integer> cids, String comment, boolean calculateOnlyLogSessions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `calculateBeforeCurrentDay(List<Integer> appIds, int currentDay)`
  `protected void`
  `calculateCurrentDay(List<Integer> appIds, int currentDay)`
  `protected void`
  `calulatePastMonth(List<Integer> appIds)`
  `protected void`
  `executeTask()`
  `String`
  `getDescription()`
  `InetRecalculator`
  `init(Setup setup)`
  `protected void`
  `startCalculation(List<Integer> appIds)`
  `protected void`
  `stopCalculation(List<Integer> appIds)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### moduleId

    protected int moduleId

  - ### month

    protected Date month

  - ### email

    protected String email

- ## Constructor Details

  - ### InetRecalculator

    public InetRecalculator(Date month, Integer day, int moduleId, String email, Set<Integer> cids, String comment, boolean calculateOnlyLogSessions)

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `RunTask`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `RunTask`

  - ### calulatePastMonth

    protected void calulatePastMonth(List<Integer> appIds) throws InterruptedException, ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `InterruptedException`
      `ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### calculateCurrentDay

    protected void calculateCurrentDay(List<Integer> appIds, int currentDay) throws InterruptedException, ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `InterruptedException`
      `ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### stopCalculation

    protected void stopCalculation(List<Integer> appIds) throws InterruptedException, ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `InterruptedException`
      `ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### startCalculation

    protected void startCalculation(List<Integer> appIds) throws InterruptedException, ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `InterruptedException`
      `ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### calculateBeforeCurrentDay

    protected void calculateBeforeCurrentDay(List<Integer> appIds, int currentDay) throws InterruptedException, ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `InterruptedException`
      `ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### init

    public InetRecalculator init(Setup setup) throws Exception
    Overrides:
      `init` in class `RunTask`
    Throws:
      `Exception`